namespace XGame.Framework.UI
{
    /// <summary>
    /// UI逻辑控制器接口
    /// 有刷新需求的需要实现IUpdate或者ILateUpdate
    /// </summary>
    public interface IUIController
    {
        /// <summary>
        /// 激活回调事件
        /// </summary>
        /// <param name="intent">透传参数</param>
        void Enable(object intent);
        void Disable();
    }
}
